from rocolib.api.components.Component import Component
from rocolib.api.Function import Function


c = Component()

c.addSubcomponent("holder", "SimpleRectBeam", inherit=True, prefix=None)
c.addConstConstraint(("holder", "length"), 60)
c.addConstConstraint(("holder", "width"), 8)
c.addConstConstraint(("holder", "depth"), 17)

c.addSubcomponent("bottom", "Rectangle", inherit=True)
c.addConstConstraint(("bottom", "l"), 8)
c.addConstConstraint(("bottom", "w"), 17)

c.addConnection(("bottom", "t"), ("holder", "botedge0"), angle=90)
c.addConnection(("bottom", "l"), ("holder", "botedge1"), tabWidth=5, angle=90)
c.addConnection(("bottom", "r"), ("holder", "botedge3"),tabWidth=5, angle=90)
c.addConnection(("bottom", "b"), ("holder", "botedge2"), tabWidth=5, angle=90)

c.toLibrary("BatteryStackMount")
